Skip to content
Start here

List autonomous systems

GET/radar/entities/asns

Retrieves a list of autonomous systems.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
asn: optional string

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list.

format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: optional string

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
orderBy: optional "ASN" or "POPULATION"

Specifies the metric to order the ASNs by.

One of the following:
"ASN"
"POPULATION"
ReturnsExpand Collapse
result: { asns }
asns: array of { asn, country, countryName, 4 more }
asn: number
country: string
countryName: string
name: string
aka: optional string
orgName: optional string
website: optional string
success: boolean

List autonomous systems

curl https://api.cloudflare.com/client/v4/radar/entities/asns \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "asns": [
      {
        "asn": 714,
        "country": "GB",
        "countryName": "United Kingdom",
        "name": "Apple Inc.",
        "aka": "aka",
        "orgName": "orgName",
        "website": "https://www.apple.com/support/systemstatus/"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "asns": [
      {
        "asn": 714,
        "country": "GB",
        "countryName": "United Kingdom",
        "name": "Apple Inc.",
        "aka": "aka",
        "orgName": "orgName",
        "website": "https://www.apple.com/support/systemstatus/"
      }
    ]
  },
  "success": true
}